Package it.ernytech.tdlib

## Class TdApi.TMeUrl

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.TMeUrl

Enclosing class:
  TdApi

    public static class TdApi.TMeUrl
    extends TdApi.Object

Represents a URL linking to an internal Telegram entity.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.TMeUrlType` `type` Type of the URL.
`java.lang.String` `url` URL.

### Constructor Summary

Constructors
`TMeUrl()` Default constructor.
`TMeUrl​(java.lang.String url, TdApi.TMeUrlType type)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### url

    public java.lang.String url

URL.

#### type

    public TdApi.TMeUrlType type

Type of the URL.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### TMeUrl

    public TMeUrl()

Default constructor.

#### TMeUrl

    public TMeUrl​(java.lang.String url,
                  TdApi.TMeUrlType type)

Constructor for initialization of all fields.

Parameters:
  `url` - URL.
  `type` - Type of the URL.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR